## GstGLQuery GstGLQuery — OpenGL query abstraction |

## Functions

void | gst_gl_query_counter ()
#define | gst_gl_query_counter_log()
#define | gst_gl_query_counter_log_valist()
void | gst_gl_query_end ()
void | gst_gl_query_free ()
void | gst_gl_query_init ()
GstGLQuery * | gst_gl_query_new ()
guint64 | gst_gl_query_result ()
void | gst_gl_query_start ()
#define | gst_gl_query_start_log()
#define | gst_gl_query_start_log_valist()
void | gst_gl_query_unset ()

## Types and Values

enum | GstGLQueryType

## Description

A GstGLQuery represents and holds an OpenGL query object. Various types of queries can be run or counters retrieved.

## Functions

### gst_gl_query_counter ()

    void
    gst_gl_query_counter (GstGLQuery *query);

Record the result of a counter

#### Parameters

query | a GstGLQuery |

Since: 1.10

### gst_gl_query_counter_log()

    #define             gst_gl_query_counter_log(query,cat,level,object,format,...)

### gst_gl_query_counter_log_valist()

    #define             gst_gl_query_counter_log_valist(query,cat,level,object,format,varargs)

### gst_gl_query_end ()

    void
    gst_gl_query_end (GstGLQuery *query);

End counting the query

#### Parameters

query | a GstGLQuery |

Since: 1.10

### gst_gl_query_free ()

    void
    gst_gl_query_free (GstGLQuery *query);

Frees a GstGLQuery

#### Parameters

query | a GstGLQuery |

Since: 1.10

### gst_gl_query_init ()

    void
    gst_gl_query_init (GstGLQuery *query,
                       GstGLContext *context,
                       GstGLQueryType query_type);

#### Parameters

query | a GstGLQuery |
context | a GstGLContext |
query_type | the GstGLQueryType |

Since: 1.10

### gst_gl_query_new ()

    GstGLQuery *
    gst_gl_query_new (GstGLContext *context,
                      GstGLQueryType query_type);

Free with `gst_gl_query_free()`

[skip]

#### Parameters

context | a GstGLContext |
query_type | the GstGLQueryType to create |

#### Returns

a new GstGLQuery

Since: 1.10

### gst_gl_query_result ()

    guint64
    gst_gl_query_result (GstGLQuery *query);

#### Parameters

query | a GstGLQuery |

#### Returns

the result of the query

Since: 1.10

### gst_gl_query_start ()

    void
    gst_gl_query_start (GstGLQuery *query);

Start counting the query

#### Parameters

query | a GstGLQuery |

Since: 1.10

### gst_gl_query_start_log()

    #define             gst_gl_query_start_log(query,cat,level,object,format,...)

### gst_gl_query_start_log_valist()

    #define             gst_gl_query_start_log_valist(query,cat,level,object,format,varargs)

### gst_gl_query_unset ()

    void
    gst_gl_query_unset (GstGLQuery *query);

Free any dynamically allocated resources

#### Parameters

query | a GstGLQuery |

Since: 1.10

## Types and Values

### enum GstGLQueryType

#### Members

GST_GL_QUERY_NONE | no query |
GST_GL_QUERY_TIME_ELAPSED | query the time elapsed |
GST_GL_QUERY_TIMESTAMP | query the current time |